lp:~chromium-team/chromium-browser/artful-stable

Created by Olivier Tilloy on 2017-04-26 and last modified on 2018-07-09
Get this branch:
bzr branch lp:~chromium-team/chromium-browser/artful-stable
Members of Chromium team can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Chromium team
Project:
Chromium Browser
Status:
Development

Recent revisions

1422. By Olivier Tilloy on 2018-07-09

releasing package chromium-browser version 67.0.3396.99-0ubuntu0.17.10.1

1421. By Olivier Tilloy on 2018-07-09

* Upstream release: 67.0.3396.99
  - CVE-2018-6148: Incorrect handling of CSP header.
  - CVE-2018-6149: Out of bounds write in V8.

1420. By Olivier Tilloy on 2018-05-30

releasing package chromium-browser version 67.0.3396.62-0ubuntu0.17.10.1

1419. By Olivier Tilloy on 2018-05-30

* Upstream release: 67.0.3396.62
  - CVE-2018-6123: Use after free in Blink.
  - CVE-2018-6124: Type confusion in Blink.
  - CVE-2018-6125: Overly permissive policy in WebUSB.
  - CVE-2018-6126: Heap buffer overflow in Skia.
  - CVE-2018-6127: Use after free in indexedDB.
  - CVE-2018-6128: uXSS in Chrome on iOS.
  - CVE-2018-6129: Out of bounds memory access in WebRTC.
  - CVE-2018-6130: Out of bounds memory access in WebRTC.
  - CVE-2018-6131: Incorrect mutability protection in WebAssembly.
  - CVE-2018-6132: Use of uninitialized memory in WebRTC.
  - CVE-2018-6133: URL spoof in Omnibox.
  - CVE-2018-6134: Referrer Policy bypass in Blink.
  - CVE-2018-6135: UI spoofing in Blink.
  - CVE-2018-6136: Out of bounds memory access in V8.
  - CVE-2018-6137: Leak of visited status of page in Blink.
  - CVE-2018-6138: Overly permissive policy in Extensions.
  - CVE-2018-6139: Restrictions bypass in the debugger extension API.
  - CVE-2018-6140: Restrictions bypass in the debugger extension API.
  - CVE-2018-6141: Heap buffer overflow in Skia.
  - CVE-2018-6142: Out of bounds memory access in V8.
  - CVE-2018-6143: Out of bounds memory access in V8.
  - CVE-2018-6144: Out of bounds memory access in PDFium.
  - CVE-2018-6145: Incorrect escaping of MathML in Blink.
  - CVE-2018-6147: Password fields not taking advantage of OS protections in Views.
* debian/patches/additional-search-engines.patch: refreshed
* debian/patches/configuration-directory.patch: refreshed
* debian/patches/default-allocator: refreshed
* debian/patches/disable-sse2: updated
* debian/patches/fix-crashpad-linux-compat.patch: added
* debian/patches/fix-extra-arflags.patch: added
* debian/patches/libcxxabi-arm-ehabi-fix.patch: refreshed
* debian/patches/revert-clang-nostdlib++.patch: refreshed
* debian/patches/revert-Xclang-instcombine-lower-dbg-declare.patch: refreshed
* debian/patches/search-credit.patch: refreshed
* debian/patches/set-rpath-on-chromium-executables.patch: refreshed
* debian/patches/skia-disable-neon.patch: removed, no longer needed
* debian/patches/skia-undef-HWCAP_CRC32.patch: refreshed
* debian/patches/suppress-newer-clang-warning-flags.patch: updated
* debian/patches/use-clang-versioned.patch: refreshed
* debian/patches/widevine-allow-enable.patch: added
* debian/patches/widevine-other-locations: updated

1418. By Olivier Tilloy on 2018-05-17

* debian/rules: stop installing an outdated chromium-browser.svg icon (LP: #1771847)
* debian/chromium-browser.svg: removed (outdated)

1417. By Olivier Tilloy on 2018-05-15

releasing package chromium-browser version 66.0.3359.181-0ubuntu0.17.10.1

1416. By Olivier Tilloy on 2018-05-15

* Upstream release: 66.0.3359.181

1415. By Olivier Tilloy on 2018-05-11

releasing package chromium-browser version 66.0.3359.170-0ubuntu0.17.10.1

1414. By Olivier Tilloy on 2018-05-11

* Upstream release: 66.0.3359.170
  - CVE-2018-6121: Privilege Escalation in extensions.
  - CVE-2018-6122: Type confusion in V8.
  - CVE-2018-6120: Heap buffer overflow in PDFium.

1413. By Olivier Tilloy on 2018-05-03

releasing package chromium-browser version 66.0.3359.139-0ubuntu0.17.10.2

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers